%define upstream_name    Apache-GeoIP
%define upstream_version 1.99

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Apache::Geo::IP - Look up country by IP Address
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Apache-GeoIP-1.99-apache24.patch

BuildRequires:	apache-devel
BuildRequires:	apache-mod_perl
BuildRequires:	apache-mod_perl-devel
BuildRequires:	perl(Apache::Test) >= 1.25
BuildRequires:	perl(Geo::IP)

BuildArch:	noarch
Obsoletes:	perl-Apache-GeoIP < 1.990.0-8

%description
This module constitutes a mod_perl (both versions 1 and 2) interface 
to the Geo::IP and Geo::Mirror modules. Geo::IP is used to look up in 
a database a country of origin of an IP address, while Geo::Mirror
is used to select a mirror by country from a specified list. See
the documentation for Apache::Geo::IP and Apache::Geo::Mirror
for more details.

The included tests require Apache::Test, which can be obtained
in the mod_perl-2 sources or in the httpd-test distribution.
These tests need a network connection to run; some may fail
due to timeouts upon doing certain name lookups.

The mod_perl-2 modules included here, with prefix Apache2::*,
will only work with mod_perl-1.999022 and above (RC5 or greater
of the CPAN distribution).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%__perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

# requires network, and test suite rework

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Apache2
%{_mandir}/*/*


%changelog
* Thu Apr 18 2019 tex - 1.990.0-12pclos2019
- rebuild against updates

* Thu Jul 13 2017 bb2 <bb2> - 1.990.0-11pclos2017
- rebuild against updates

